%define name	modlogan
%define version 0.8.10
%define release	1mdk

Name: 		%{name}
Summary: 	Modular Log Analyzer (modlogan)
Version:	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Monitoring
Source0: 	%{name}-%{version}.tar.bz2
Source1: 	%{name}-themes-0.0.5.tar.bz2
Source2: 	%{name}.cron.bz2
Patch0:		%{name}-0.8.5-config.patch.bz2
Patch1:		%{name}-0.8.5-flow-tools.patch.bz2
URL: 		http://jan.kneschke.de/projects/modlogan/
Requires: 	apache2
Requires: 	XFree86-libs
Requires: 	freetype2
#Requires: 	libpcre0
#Requires: 	libadns1
#Requires: 	libexpat0
#Requires: 	libgd2
#Requires: 	libjpeg62
#Requires: 	libpng
#Requires: 	libxml2
#Requires: 	libxpm4
Requires: 	flow-tools
#Requires: 	libbzip2_1
BuildRequires:	XFree86-devel
BuildRequires:	expat-devel
BuildRequires:	freetype2-devel
BuildRequires: 	adns-devel
BuildRequires: 	bzip2-devel
BuildRequires: 	gd-devel
BuildRequires: 	jpeg-devel
BuildRequires: 	pcre-devel
BuildRequires: 	libpcre0-devel
BuildRequires:	libxml2-devel
BuildRequires:	zlib-devel
BuildRequires:	flow-tools
BuildRequires:	flow-tools-devel
BuildRequires:	autoconf2.5
BuildRequires:	libtool
Buildroot: 	%{_tmppath}/%{name}-%{version}-root

%description
ModLogAn is a modular logfile analyzer which is able to analyze
logfiles from 15 different server (http, ftp, mail, streaming, 
...).  Its template engine generates XHTML based on usersupplied
themes which makes it possible to provide look & feel of your own
wishes.   ModLogAn is written in C and provides a plugin system
which enables it to be extended in the way you want.

%prep

%setup -q -a1
%patch0 -p1
%patch1 -p0

%build
libtoolize --copy --force; autoconf

export LINGUAS="cs de es fr it pl ru"
export CFLAGS="%{optflags}"

./configure \
    --enable-static \
    --enable-shared \
    --prefix=%{_prefix} \
    --exec-prefix=%{_exec_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --libdir=%{_libdir}/%{name} \
    --libexecdir=%{_libdir}/%{name} \
    --localstatedir=%{_localstatedir} \
    --sharedstatedir=%{_sharedstatedir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --with-included-gettext \
    --with-flow-tools=%{_prefix} \
    --with-gd=%{_prefix} \
    --with-xml-prefix=%{_prefix} \
    --with-xml-exec-prefix=%{_prefix} \
    --with-x=%{_prefix}

%make CFLAGS="%{optflags}"

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

make DESTDIR="%{buildroot}" install

for i in %{buildroot}%{_sysconfdir}/%{name}/*-dist; do
 if test ! -f `echo $i |sed 's/-dist//'`; then
  mv -f  $i `echo $i |sed 's/-dist//'` || true
 fi
done

# install themes
install -d %{buildroot}%{_datadir}/modlogan/themes
cp -aRf %{name}-themes-0.0.5/* %{buildroot}%{_datadir}/modlogan/themes/

# nuke devel stuff... (for now...)
rm -f %{buildroot}%{_libdir}/%{name}/*.a
rm -f %{buildroot}%{_libdir}/%{name}/*.la

# fix localhost reporting...
install -d %{buildroot}%{_sysconfdir}/cron.daily
install -d %{buildroot}/var/www/html/admin/modlogan/localhost
bzcat %{SOURCE2} > %{buildroot}%{_sysconfdir}/cron.daily/%{name}.localhost
chmod 755 %{buildroot}%{_sysconfdir}/cron.daily/%{name}.localhost

# remove unneeded? file
rm -f %{buildroot}%{_datadir}/locale/locale.alias

# clean up...
rm -f %{buildroot}%{_datadir}/modlogan/themes/basic/.#theme.conf.1.*

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog INSTALL Doxyfile NEWS README TODO doc/*txt doc/*ihtml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/group.extension.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/group.host.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/group.os.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/group.searchengines.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/group.ua.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/group.url.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/ignore.searchengines.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/match.os.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/match.searchengines.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/match.ua.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/match.useragents.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/modlogan.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/modlogan.def.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/modlogan.css
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/cron.daily/%{name}.localhost

%attr(0755,root,root) %{_bindir}/%{name}
%attr(0755,root,root) %{_libdir}/%{name}/*.so
%attr(0644,root,root) %{_mandir}/man1/*

%lang(cs) %{_datadir}/locale/cs/*/*
%lang(de) %{_datadir}/locale/de/*/*
%lang(es) %{_datadir}/locale/es/*/*
%lang(fr) %{_datadir}/locale/fr/*/*
%lang(it) %{_datadir}/locale/it/*/*
%lang(pl) %{_datadir}/locale/pl/*/*
%lang(ru) %{_datadir}/locale/ru/*/*

%{_datadir}/modlogan/themes
%attr(0755,apache,apache) %dir /var/www/html/admin/modlogan/localhost

%changelog
* Fri Sep 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.10-1mdk
- 0.8.10
- drop P2, it's included in the upstream source
- fix invalid-build-requires
- fix explicit-lib-dependency
- fix hidden-file-or-dir

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.9-2mdk
- added P2

* Tue Jul 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.9-1mdk
- 0.8.9
- drop P2, it's included upstream

* Mon May 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.8-1mdk
- 0.8.8
- added P2 from CVS

* Fri May 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.7-1mdk
- 0.8.7

* Sat Mar 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.6-1mdk
- 0.8.6
- buildrequires & requires bz libs

* Sat Mar 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.5-2mdk
- in a perfect world for example libgd2 should provide libgd
- added linguas
- added S1 (themes)
- added P1 (flow-tools)
- added S2
- misc spec file fixes

* Fri Mar 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.5-1mdk
- initial cooker contrib

